Subject: [fwtk-users] RE: telnet

From: "Behm, Jeffrey L." <[email-masked]>
Date: Tue, 3 Dec 2002 10:15:13 -0600

> Does any one have a working inetd.conf on a Solaris box?  I'm 
> trying to fix
> my proxy telnet on my firewall.

<completely unsecured, out-of-the-box Solaris 2.5.1 Install w/ 2.6 upgrade>
Since there are multiple admins on this box, some changes may have been
made,
but hey, telnet works. Your mileage may vary.
Note that this is not a system I would expose to the Internet, with the
default
settings below in inetd.conf.

---------------------------------------------------------------
Jeff Behm
Opinions expressed are solely my own and not of any company and 
usually contain very little, if any, valuable information.

#ident  "@(#)inetd.conf 1.27    96/09/24 SMI"   /* SVr4.0 1.5   */
#
#
#
# Configuration file for inetd(1M).  See inetd.conf(4).
#
# To re-configure the running inetd process, edit this file, then
# send the inetd process a SIGHUP.
#
# Syntax for socket-based Internet services:
#  <service_name> <socket_type> <proto> <flags> <user> <server_pathname>
<args>
#
# Syntax for TLI-based Internet services:
#
#  <service_name> tli <proto> <flags> <user> <server_pathname> <args>
#
# Ftp and telnet are standard Internet services.
#
ftp     stream  tcp     nowait  root    /usr/sbin/in.ftpd       in.ftpd
telnet  stream  tcp     nowait  root    /usr/sbin/in.telnetd    in.telnetd
#
# Tnamed serves the obsolete IEN-116 name server protocol.
#
name    dgram   udp     wait    root    /usr/sbin/in.tnamed     in.tnamed
#
# Shell, login, exec, comsat and talk are BSD protocols.
#
shell   stream  tcp     nowait  root    /usr/sbin/in.rshd       in.rshd
login   stream  tcp     nowait  root    /usr/sbin/in.rlogind    in.rlogind
exec    stream  tcp     nowait  root    /usr/sbin/in.rexecd     in.rexecd
comsat  dgram   udp     wait    root    /usr/sbin/in.comsat     in.comsat
talk    dgram   udp     wait    root    /usr/sbin/in.talkd      in.talkd
#
# Must run as root (to read /etc/shadow); "-n" turns off logging in
utmp/wtmp.
#
uucp    stream  tcp     nowait  root    /usr/sbin/in.uucpd      in.uucpd
#
# Tftp service is provided primarily for booting.  Most sites run this
# only on machines acting as "boot servers." 
#
#tftp   dgram   udp     wait    root    /usr/sbin/in.tftpd      in.tftpd -s
/tftpboot
#
# Finger, systat and netstat give out user information which may be
# valuable to potential "system crackers."  Many sites choose to disable 
# some or all of these services to improve security.
#
finger  stream  tcp     nowait  nobody  /usr/sbin/in.fingerd    in.fingerd
#systat stream  tcp     nowait  root    /usr/bin/ps             ps -ef
#netstat stream  tcp     nowait  root    /usr/bin/netstat        netstat -f
inet
#
# Time service is used for clock synchronization.
#
time    stream  tcp     nowait  root    internal
time    dgram   udp     wait    root    internal
# 
# Echo, discard, daytime, and chargen are used primarily for testing.
#
echo    stream  tcp     nowait  root    internal
echo    dgram   udp     wait    root    internal
discard stream  tcp     nowait  root    internal
discard dgram   udp     wait    root    internal
daytime stream  tcp     nowait  root    internal
daytime dgram   udp     wait    root    internal
chargen stream  tcp     nowait  root    internal
chargen dgram   udp     wait    root    internal
#
#
# RPC services syntax:
#  <rpc_prog>/<vers> <endpoint-type> rpc/<proto> <flags> <user> \
#  <pathname> <args>
#
# <endpoint-type> can be either "tli" or "stream" or "dgram".
# For "stream" and "dgram" assume that the endpoint is a socket descriptor.
# <proto> can be either a nettype or a netid or a "*". The value is
# first treated as a nettype. If it is not a valid nettype then it is
# treated as a netid. The "*" is a short-hand way of saying all the
# transports supported by this system, ie. it equates to the "visible"
# nettype. The syntax for <proto> is:
#       *|<nettype|netid>|<nettype|netid>{[,<nettype|netid>]}
# For example: 
# dummy/1       tli     rpc/circuit_v,udp       wait    root
/tmp/test_svc   test_svc
#
# Solstice system and network administration class agent server
100232/10       tli     rpc/udp wait root /usr/sbin/sadmind     sadmind
#
# Rquotad supports UFS disk quotas for NFS clients
#
rquotad/1       tli     rpc/datagram_v  wait root /usr/lib/nfs/rquotad
rquotad
#
# The rusers service gives out user information.  Sites concerned
# with security may choose to disable it.
#
rusersd/2-3     tli     rpc/datagram_v,circuit_v        wait root
/usr/lib/netsvc/rusers/rpc.rusersd    rpc.rusersd
#
# The spray server is used primarily for testing.
#
sprayd/1        tli     rpc/datagram_v  wait root
/usr/lib/netsvc/spray/rpc.sprayd      rpc.sprayd
#
# The rwall server allows others to post messages to users on this machine.
#
walld/1         tli     rpc/datagram_v  wait root
/usr/lib/netsvc/rwall/rpc.rwalld      rpc.rwalld
#
# Rstatd is used by programs such as perfmeter.
#
rstatd/2-4      tli   rpc/datagram_v wait root
/usr/lib/netsvc/rstat/rpc.rstatd rpc.rstatd
#
# The rexd server provides only minimal authentication and is often not run
#
#rexd/1          tli  rpc/tcp wait root /usr/sbin/rpc.rexd     rpc.rexd
#
# rpc.cmsd is a data base daemon which manages calendar data backed
# by files in /var/spool/calendar
#
#
# Sun ToolTalk Database Server
#
#
# UFS-aware service daemon
#
#ufsd/1 tli     rpc/*   wait    root    /usr/lib/fs/ufs/ufsd    ufsd -p
#
# Sun KCMS Profile Server
#
100221/1        tli     rpc/tcp wait root /usr/openwin/bin/kcms_server
kcms_server
#
# Sun Font Server
#
fs              stream  tcp     wait nobody /usr/openwin/lib/fs.auto    fs
#
# Print Protocol Adaptor - BSD listener
#
printer   stream  tcp     nowait  root    /usr/lib/print/in.lpd   in.lpd
#
# CacheFS Daemon
#
100235/1 tli rpc/tcp wait root /usr/lib/fs/cachefs/cachefsd cachefsd
#
# Kerbd Daemon
#
kerbd/4         tli     rpc/ticlts      wait    root    /usr/sbin/kerbd
kerbd
dtspc stream tcp nowait root /usr/dt/bin/dtspcd /usr/dt/bin/dtspcd
xaudio   stream tcp   wait root /usr/openwin/bin/Xaserver Xaserver -noauth
-inetd
100068/2-5 dgram rpc/udp wait root /usr/dt/bin/rpc.cmsd rpc.cmsd
100083/1 tli rpc/tcp wait root /usr/dt/bin/rpc.ttdbserverd
/usr/dt/bin/rpc.ttdbserverd

---
You are currently subscribed to fwtk-users as: [email-masked]
To unsubscribe send a blank email to [email-masked]